Package org.globus.gsi.stores

# Interface CredentialWrapper

All Superinterfaces:
  `SecurityObjectWrapper<X509Credential>`, `Storable`

All Known Implementing Classes:
  `CertKeyCredential`, `ResourceProxyCredential`

public interface CredentialWrapper extends SecurityObjectWrapper<X509Credential>, Storable
Fill Me

## Method Summary

Modifier and Type
Method
Description
`X509Credential`
`getCredential()`

### Methods inherited from interface org.globus.gsi.stores.SecurityObjectWrapper

`getAlias, getSecurityObject, hasChanged, refresh`

### Methods inherited from interface org.globus.gsi.stores.Storable

`store`

## Method Details

### getCredential

X509Credential getCredential() throws ResourceStoreException

Throws:
  `ResourceStoreException`